/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package application;

import input_functions.*;
import java.util.ArrayList;

/**
 *
 * @author Greg
 */
public class Application {

    public static void main(String[] args) throws Exception {
        Parser p = new Parser();
        p.initializeInputFeeder();
        int size = p.initializeRegexFeeder();
        p.removeBlock();
        p.addPeriod();
        SqlWriter sql = new SqlWriter();
        try {
            DataFeed.clean(sql);
        } catch(Exception ex) {
            ex.printStackTrace();
        }finally {
            sql.statement.executeUpdate("CREATE  TABLE `hoop_tactics`.`team` ("
                    + "  `team_id` INT(3) NOT NULL AUTO_INCREMENT ,"
                    + "  `team_name` VARCHAR(30) NULL ,"
                    + "  PRIMARY KEY (`team_id`) );");
            for (String s : DataFeed.getTeam(p.data)) {
                sql.statement.executeUpdate("INSERT INTO `hoop_tactics`.`team` (`team_name`) VALUES ('" + s + "');");
            }

            sql.statement.executeUpdate("CREATE  TABLE `hoop_tactics`.`player` ("
                    + "  `player_id` INT(3) NOT NULL AUTO_INCREMENT ,"
                    + "  `player_no` CHAR(2) NULL ,"
                    + "  `last_name` VARCHAR(45) NULL ,"
                    + "  `first_name` VARCHAR(45) NULL ,"
                    + "  `team_no` INT(3) NULL ,"
                    + "  PRIMARY KEY (`player_id`) );");            
            for (Player s : DataFeed.noPlayerDuplicates(DataFeed.getPlayer(p.data, sql))) {
                System.out.print(s.number + " " + s.last + " " + s.first + " " + s.team + "\n");
                if(s.last.compareTo("Lowe") == 0 && s.number.compareTo("25") == 0)
                    s.first = "ShaRan";
                if(s.last.compareTo("Niebergall,Brittaney") == 0) {
                    s.last = "Niebergall";
                    s.first = "Brittaney";
                }
                sql.statement.executeUpdate("INSERT INTO `hoop_tactics`.`player` "
                        + "(`player_no`, `last_name`, `first_name`, `team_no`) "
                        + "VALUES ('"+s.number.trim()+"', '"+s.last+"', '"+s.first+"', "+Integer.valueOf(s.team).intValue() +");");
            }
            DataFeed.createGameEventTable(sql);
            
            Parser.printArrayList(p.data);
        }
    }
}
