/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package input_functions;

/**
 *
 * @author Greg
 */
import java.io.*;
import java.net.URL;
import java.util.*;

public class InputFeeder {

    public static ArrayList<String> readIn(String fileName) throws Exception {
        //Show current directory
        
        //System.out.println("User Home Path: "+
        //System.getProperty("user.dir"));
        
        ArrayList<String> a = new ArrayList<String>();
        try {
            BufferedReader in = new BufferedReader(new FileReader(fileName));
            String str;
            while ((str = in.readLine()) != null) {
                a.add(str.trim());
            }
            in.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return a;
    }
    
    public static ArrayList<String> readIn(String fileName, ArrayList<String> list) throws Exception {        
        try {
            BufferedReader in = new BufferedReader(new FileReader(fileName));
            String str;
            while ((str = in.readLine()) != null) {
                list.add(str.trim());
            }
            in.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return list;
    }

    public static ArrayList<String> webIn(String url) throws Exception {
        try {
            ArrayList<String> list = new ArrayList<String>();

            URL target = new URL(url);
            BufferedReader in = new BufferedReader(new InputStreamReader(target.openStream()));
            String inputLine;
            while ((inputLine = in.readLine()) != null) {
                list.add(inputLine.trim());
            }
            in.close();
            return list;
        } 
        catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
    
    public static ArrayList<String> webIn(String url, ArrayList<String> list) throws Exception {
        try {
            URL target = new URL(url);
            BufferedReader in = new BufferedReader(new InputStreamReader(target.openStream()));
            String inputLine;
            while ((inputLine = in.readLine()) != null) {
                list.add(inputLine.trim());
            }
            in.close();
            return list;
        } 
        catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
