/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package input_functions;

import java.util.ArrayList;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

/**
 *
 * @author Greg
 */
public class RegexFeeder {

    public ArrayList<Pattern> pList;
    public ArrayList<String> sList;

    public RegexFeeder() {
        pList = new ArrayList<Pattern>();
        sList = new ArrayList<String>();
    }

    public void addPattern(String s) {
        sList.add(s);
    }

    public void transferPatterns() {
        for (String s : sList) {
            Pattern pattern = Pattern.compile(s);
            pList.add(pattern);
        }
    }

    public void dumpPatterns() {
        pList.clear();
    }

    public ArrayList<String> getPatternList() {
        return sList;
    }

    public String matchThrow(String input) {
        for (Pattern p : pList) {
            Matcher matcher = p.matcher(input);
            while (matcher.find()) {
                input = input + " ~" + pList.indexOf(p) + "~ ";
            }
        }
        return input;
    }

    public int matchThrow(String input, int numOptions) {   
            for (Pattern p : pList) {
                Matcher matcher = p.matcher(input);
                while (matcher.find()) {
                    return pList.indexOf(p);
                }
            }
            return -1;
    }

    public void matchThrow(String input, Pattern p, ArrayList<String> a) {
        Matcher matcher = p.matcher(input);
        while (matcher.find()) {
            a.add(input);
        }
    }
}
