/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package input_functions;

import java.util.ArrayList;
import java.util.regex.Pattern;
import java.util.regex.Matcher;
import application.Player;
import java.sql.*;

/**
 *
 * @author Greg
 */
public class SqlWriter {

    public Statement statement;
    public Connection connection;
    public RegexFeeder regex;

    public SqlWriter() throws Exception {
        regex = new RegexFeeder();
        try {
            connection = DatabaseConnect.getConnect();
            statement = connection.createStatement();
            initialize();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    public void initialize() {
        regex.addPattern("SELECT");  // 0
        regex.addPattern("UPDATE");  // 1
        regex.addPattern("CREATE");  // 2
        regex.addPattern("INSERT");  // 3
        regex.addPattern("DROP");    // 4
        regex.addPattern("ALTER");   // 5
        regex.transferPatterns();        
    } 

}
